/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.lang.clipboard']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.lang.clipboard'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.lang.clipboard');
dojo.require('epages.lang.hash');

epages.lang.Clipboard = function() {
	this._hash = new epages.lang.Hash();
};

epages.lang.Clipboard.prototype = {
	_hash: undefined,
	_counter: 0,

	get: function(/*String*/key) {
		returnValue = this._hash.get("key" + key);
		return returnValue; //Object
	},

	add: function(/*Object*/value) {
		// summary:
		//		adds a value and returns its index
		// example:
		// 	| var clipboard = new epages.lang.Clipboard();
		//	| var index = clipboard.add("test");
		var addIndex = this._counter;
		this._hash.set("key" + addIndex, value);
		do {
			this._counter++;
		} while(this._hash.existsKey("key" + this._counter));
		return addIndex; //Integer
	},

	set: function(/*String*/key, /*Object*/value) {
		// summary:
		//		change the value at the specified position and returns true on success
		//		returns false if position does not exist
		// example:
		// 	| var clipboard = new epages.lang.Clipboard();
		//	| boolean = clipboard.set(5, "test");
		if (this._hash.existsKey("key" + key)) {
			this._hash.set("key" + key, value);
			return true; // Boolean
		} else {
			return false; // Boolean
		}
	}
}

}
