/*globals define*/
define([
    'jquery',
    'testsuite/qunit',
    'testsuite/qunit-fixture!de_epages/product/inc/energylabel-test.html',
    'testsuite/sinon',
    'de_epages/product/inc/energylabel',

    'ep/ui/lightbox',
    '$ready!'
], function ($, Q, fixture, sinon, energylabel) {
    'use strict';

    var lightboxStub,
        windowStub;

    QUnit.module("ep/ui/lightbox", {
        setup: function () {
            fixture.init();
            window.ep = {
                config: {
                    unity: true
                }
            };
            energylabel.init({
                items: $('.energylabel-arrow'),
                body: $('#qunit-fixture')}
            );
        },
        teardown: function () {
            fixture.destroy();
        }
    });


    Q.asyncTest('Check HTML structure and visible options', function () {
        $('.energylabel-arrow.foo').trigger('click');

        setTimeout(function () {

            Q.equal(
                $('.ep-lightbox').length,
                1,
                'Dialog was created'
            );

            Q.ok(
                $('.energy-label-image').length,
                'Image was created'
            );

            Q.ok(
                $('.ep-lightbox-close-button').length,
                'Close button was created'
            );

            Q.equal(
                $('.energy-label-image').attr('src'),
                $('.energylabel-arrow.foo').data('energylabel-source'),
                'Image has correct src'
            );

            $('.ep-lightbox-close-button').trigger('click');

            setTimeout(function () {
                Q.equal(
                    $('.ep-lightbox').length,
                    0,
                    'Dialog was closed'
                );

                Q.start();
            }, 300);
        }, 300);
    });
});